<?php

namespace Drupal\sendethic;

class SendEthicSegment {

  protected ?int $id;
  protected ?string $name;
  protected ?string $description;
  protected ?string $details;
  protected ?string $mode;

  public function __construct(int $id, string $name, ?string $description = null, ?string $details = null, ?string $mode = null) {
    $this->id = $id;
    $this->name = $name;
    $this->description = $description;
    $this->details = $details;
    $this->mode = $mode;
  }

  public function getId() {
    return $this->id;
  }

  public function getName() {
    return $this->name;
  }

  public function getDescription() {
    return $this->description;
  }
  public function getDetails() {
    return $this->details;
  }

  public function getMode() {
    return $this->mode;
  }

}
