<?php

namespace Drupal\sendethic;

class SendEthicAttribute {

  protected ?int $id;
  protected ?string $name;
  protected ?string $description;
  protected ?string $format;
  protected ?array $options;

  public function __construct(int $id, string $name, ?string $description = null, ?string $format = null, ?array $options = null) {
    $this->id = $id;
    $this->name = $name;
    $this->description = $description;
    $this->format = $format;
    $this->options = $options;
  }

  public function getId() {
    return $this->id;
  }

  public function getName() {
    return $this->name;
  }

  public function getDescription() {
    return $this->description;
  }

  public function getFormat() {
    return $this->format;
  }

  public function getOptions() {
    return $this->options;
  }

}
